=head1 NAME

Gtk2::Box

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Box



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Glib::Object::_Unregistered::GtkOrientable



=cut


=head1 METHODS

=head2 $box-E<gt>B<set_child_packing> ($child, $expand, $fill, $padding, $pack_type)

=over

=item * $child (Gtk2::Widget) 

=item * $expand (boolean) 

=item * $fill (boolean) 

=item * $padding (integer) 

=item * $pack_type (Gtk2::PackType) 

=back

=head2 boolean = $box-E<gt>B<get_homogeneous> 

=head2 $box-E<gt>B<set_homogeneous> ($homogeneous)

=over

=item * $homogeneous (boolean) 

=back

=head2 $box-E<gt>B<pack_end> ($child, $expand, $fill, $padding)

=over

=item * $child (Gtk2::Widget) 

=item * $expand (boolean) 

=item * $fill (boolean) 

=item * $padding (integer) 

=back

=head2 $box-E<gt>B<pack_end_defaults> ($widget)

=over

=item * $widget (Gtk2::Widget) 

=back

=head2 $box-E<gt>B<pack_start> ($child, $expand, $fill, $padding)

=over

=item * $child (Gtk2::Widget) 

=item * $expand (boolean) 

=item * $fill (boolean) 

=item * $padding (integer) 

=back

=head2 $box-E<gt>B<pack_start_defaults> ($widget)

=over

=item * $widget (Gtk2::Widget) 

=back

=head2 list = $box-E<gt>B<query_child_packing> ($child)

=over

=item * $child (Gtk2::Widget) 

=back

=head2 $box-E<gt>B<reorder_child> ($child, $position)

=over

=item * $child (Gtk2::Widget) 

=item * $position (integer) 

=back

=head2 integer = $box-E<gt>B<get_spacing> 

=head2 $box-E<gt>B<set_spacing> ($spacing)

=over

=item * $spacing (integer) 

=back



=cut


=head1 PROPERTIES

=over

=item 'homogeneous' (boolean : readable / writable / private)

Whether the children should all be the same size

=item 'spacing' (integer : readable / writable / private)

The amount of space between children

=back



=cut


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::PackType

=over

=item * 'start' / 'GTK_PACK_START'

=item * 'end' / 'GTK_PACK_END'

=back




=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

